---
inputType: "CA10Z1__CaAzurePostgreSqlServer__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10Z1__CaAzurePostgreSqlServer__c/object.extracts.yaml"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "PostgreSQL Single Server Infrastructure Encryption is disabled."
    remediationMessage: "Consider enabling PostgreSQL Single Server Infrastructure Encryption."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10Z1__infrastructureEncryption__c"
        right:
          TEXT: "Disabled"
  - status: "COMPLIANT"
    currentStateMessage: "PostgreSQL Single Server Infrastructure Encryption is enabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10Z1__infrastructureEncryption__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected value in the field."